/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

html {
    scroll-behavior: smooth;
    hanging-punctuation: first last;
		  scrollbar-gutter: stable;
}


* {
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    -ms-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out !important;
}

.separate-containers .site-main {
    margin-bottom: 90px;
}

h1.gb-headline-text,
h2.gb-headline-text {
    text-wrap: balance;
}

/* home page */
.page-hero {
    position: fixed;
    overflow: hidden;
    padding-top: calc(5vh + 156px);
    padding-bottom: calc(10vh);
    width: 100%;
}

.page-hero .gb-headline-55229a72 a {
	color: var(--base-3);
	    text-decoration-color: var(--brand-accent);
	backgroun d-color: var(--base-3);
    text-decoration-style: solid;
    text-decoration-line: underline;
    text-decoration-thickness: 5px;
    text-decoration-skip-ink: none;
}

.page-hero .gb-headline-55229a72 a:hover {
	background-color: #FFD279;
    /* box-shadow: none; */
    text-decoration: underline;
    text-decoration-thickness: 5px;
    color: var(--contrast);
}

.background-video {
    position: absolute;
    opacity: 0.5;
    right: 0;
    bottom: 0;
    left: 0;
    object-fit: cover;
    width: 100%;
    height: 100%;
}

video[poster] {
    object-fit: cover;
    width: 100%;
    height: 100%;
}

.background-video-content {
    position: relative;
    z-index: 1;
}

body.home .services-grid,
body.home .services-grid2 {
    margin-top: 60vh;
}

h2.gb-headline-4b3eaa7d {
    text-wrap: balance;
}
	
	body.home .partner-logos {
		display: none;
	}

/* top bar */
.top-bar {
    position: fixed;
    z-index: 10001;
    backdrop-filter: blur(4.7px);
    -webkit-backdrop-filter: blur(4.7px);
}




/* main navigation */

.main-navigation {
    position: relative;
    padding-top: 56px;
    backdrop-filter: blur(4.7px);
    -webkit-backdrop-filter: blur(4.7px);
}

.inside-navigation {
    max-width: 1600px;
    margin: 0 auto;
    padding: 0 20px;
}

nav.main-navigation li.menu-item a,
.menu-bar-item a {
    border-radius: 20px;
    margin: 10px 5px 5px 5px;
}


nav.main-navigation li.menu-item.sfHover a,
nav.main-navigation li.menu-item-has-children a {
    border-radius: 20px 20px 0px 0px;
    margin-bottom: 0;
}

ul.sub-menu {
    border-radius: 0px 0px 20px 20px;
    -webkit-border-radius: 0px 0px 20px 20px;
    -moz-border-radius: 0px 0px 20px 20px;
}

nav.main-navigation ul.sub-menu {
    margin: 0 5px;
}

li.menu-item.sfHover .sub-menu li a,
li.menu-item-has-children .sub-menu li a {
    border-radius: 0px;
    margin: 0;
}

.sub-menu li:last-child a {
    border-radius: 0px 0px 20px 20px !important;
    -webkit-border-radius: 0px 0px 20px 20px !important;
    -moz-border-radius: 0px 0px 20px 20px !important;
}

/* slideout navigation */
#generate-slideout-menu {
    width: 300px;
}

.slideout-menu li.menu-item a {
    margin: 0 0 10px 0 !important;
}

.slideout-menu li.menu-item:last-child a {
    margin: 0 !important;
}

.slideout-menu ul.sub-menu {
    margin: 0 !important;
}

	.slideout-navigation.main-navigation .main-nav ul li.highlight > a {
		background-color: var(--brand-accent);
		color: var(--contrast);
	}
	
		.slideout-navigation.main-navigation .main-nav ul li.highlight > a:hover {
		background-color: var(--accent);
		color: var(--base-3);
	}

/* global */
	ol, ul {margin-left: 1rem;}



/* content */
.contained-content.one-container .site-content,
.contained-content.separate-containers .inside-article,
#main .inside-article {
    z-index: 3;
    position: relative;
    background: rgba(255, 255, 255, 0.72);
    border-radius: 20px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(9.7px);
    -webkit-backdrop-filter: blur(9.7px);
    overflow: hidden;
    margin-left: 40px;
    margin-right: 40px;
	margin-top: 60px;
	padding: 0;
}

.inside-article h1 {
	padding: 3.5rem;
	background-color: var(--contrast);
	color: var(--base-3);
	text-shadow: 4px 2px 0px rgba(255, 106, 0, 0.59);
	margin: 0;
	text-wrap: balance;

}

.inside-article .entry-content {
	padding: 3.5rem;
	margin: 0;
}

body.page-id-87 .inside-article .entry-content,
body.page-id-90 .inside-article .entry-content,
body.page-id-92 .inside-article .entry-content,
body.page-id-94 .inside-article .entry-content,
body.page-id-96 .inside-article .entry-content,
body.page-id-98 .inside-article .entry-content,
body.page-id-664 .inside-article .entry-content,
body.page-id-1360 .inside-article .entry-content,
body.page-id-1429 .inside-article .entry-content,
body.page-id-1413 .inside-article .entry-content,
body.page-id-1472 .inside-article .entry-content,
body.page-id-1456 .inside-article .entry-content,
body.page-id-100 .inside-article .entry-content {
	padding: 0;
	margin: 0;
}

body.home .inside-article .entry-content {
	padding: 0;
}

.gb-highlight {
    background-color: var(--contrast);
    color: var(--brand-accent);
}



#main p a {

    text-decoration-color: #FFD279;
    text-decoration-style: solid;
    text-decoration-line: underline;
    text-decoration-thickness: 5px;
    text-decoration-skip-ink: none;
    /* box-shadow: inset 0 -7px 0 #FFD279; */
}

#main p a:hover {
    background-color: #FFD279;
    /* box-shadow: none; */
    text-decoration: underline;
    text-decoration-thickness: 5px;
    color: var(--contrast);
}

body.archive .gb-query-loop-item.testimonial {
	display: none;
}

/* search */
.gp-modal__overlay {
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
}

/* Services Bar */
html,
a {
    cursor: url("http://goinggreen-stl.com/wp-content/uploads/pointer-filled-orange-32.png") 0 0, auto;
}

.page-hero,
.page-hero a,
nav,
nav a,
.top-bar,
.top-bar a,
.CTA-grid div:first-child,
footer,
footer a {
    cursor: url("http://goinggreen-stl.com/wp-content/uploads/pointer-filled-orange-32.png") 0 0, auto;
}

.services-grid,
.services-grid a,
.services-grid2,
.services-grid2 a {
    cursor: url("http://goinggreen-stl.com/wp-content/uploads/pointer-filled-orange-32.png") 0 0, auto;
}


.blur-hover-effect .gb-container {
    transition:
        filter 200ms linear,
        transform 200ms ease-in-out;
}

.blur-hover-effect:hover .gb-container:not(:hover) {
    filter: brightness(0.7) saturate(0) contrast(1.2) blur(3px) opacity(95%);
}


.services-grid2 h2.services-item-header {
    font-size: clamp(1.25rem, 0.7022rem + 1.1236vw, 2.5rem);
}

/* Forms */
form.fluent_form_1 .ff-btn-submit:not(.ff_btn_no_style) {
	background-color: var(--brand-accent) !important;
	color: var(--contrast) !important;
	padding: 10px 15px;
	font-size: 20px;
}

form.fluent_form_1 .ff-btn-submit:not(.ff_btn_no_style):hover {
	background-color: var(--brand-highlight) !important;
}

/* footer */
.copyright a {
    text-decoration: underline;
}
	


/* responsive */
@media (max-width: 900px) {

    body.home .services-grid,
    body.home .services-grid2 {
        margin-top: 73vh;
    }

}


@media (max-width: 500px) {

	.main-navigation {
		padding-top: 0px; }
	
	.contained-content.one-container .site-content, .contained-content.separate-containers .inside-article, #main .inside-article {
		margin-left: 10px;
    margin-right: 10px;
    margin-top: 0px;
	}
    .page-hero {
        padding-top: 150px;
        padding-bottom: 50px;
        width: 100%;
    }

    body.home .services-grid,
    body.home .services-grid2 {
        margin-top: 70vh;
    }
	
	.inside-article h1 {
	padding: 2rem;

}

.inside-article .entry-content {
	padding: 2rem;
}

}